package com.sifang.modules.sunshine.SystemSetting.form;

import org.hibernate.validator.constraints.NotBlank;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author hongzq
 */
public class AddPlanMaterial implements Serializable {
    @NotBlank(message = "code不能为空")
    private String code;
    @NotBlank(message = "name不能为空")
    private String name;
    @NotBlank(message = "spec不能为空")
    private String spec;
    @NotBlank(message = "unit不能为空")
    private String unit;
    @NotNull(message = "amount不能为空")
    private Integer amount;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSpec() {
        return spec;
    }

    public void setSpec(String spec) {
        this.spec = spec;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public Integer getAmount() {
        return amount;
    }

    public void setAmount(Integer amount) {
        this.amount = amount;
    }
}
